Download it now!
Bug 127508 - I cannot disable effect from highlighted/normal column/row header
Summary: I cannot disable effect from highlighted/normal column/row header
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0 target:7.0.0 target:6.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-11 22:36 UTC by Salem Yaslem
Modified: 2020-03-19 11:39 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Review headers (3.58 KB, image/jpeg)
2019-09-11 22:36 UTC, Salem Yaslem
Details
Before/After (10.78 KB, image/png)
2019-09-26 06:26 UTC, Heiko Tietze
Details
corner is not flat (see attachments) should flat too (2.69 KB, image/png)
2020-01-29 14:39 UTC, Salem Yaslem
Details
Flat column header on macOS (9.61 KB, image/png)
2020-02-05 11:48 UTC, Heiko Tietze
Details
The corner cell, 'select all' button with residual shading (6.21 KB, image/png)
2020-02-05 14:00 UTC, V Stuart Foote
Details
Flat on macOS (9.31 KB, image/png)
2020-02-05 14:23 UTC, Heiko Tietze
Details
Marked problem (8.56 KB, image/png)
2020-02-05 16:36 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Salem Yaslem 2019-09-11 22:36:03 UTC
Created attachment 154120 [details]
Review headers

I want disable that effect on highlighted column/row header, that give it gradient

But I cannot
Comment 1 Heiko Tietze 2019-09-19 12:33:29 UTC Comment hidden (obsolete)
Comment 2 Heiko Tietze 2019-09-19 12:39:49 UTC
How row/col headers are painted, meaning with or without gradient, depend on your system theme. But OTOH we made the tabbar for the sheets flat recently. So it's a good question to the design people.

AFAIR, there was a similar request recently but I cannot find the ticket. Anyone else?
Comment 3 Thomas Lendo 2019-09-24 19:26:49 UTC
Why should this effect be disabled? This is part of the UI like visualization of sheet tabs in Calc.
Comment 4 Salem Yaslem 2019-09-25 10:32:27 UTC
It's best to add a property to disable
I don't see it look beautiful
It's ugly
Comment 5 Heiko Tietze 2019-09-26 06:20:37 UTC
Submitted a patch and push it to master. It contains temporary changes, easy to revert, and I'd like to get more opinions on this topic. I don't want and option so we have to make a decision on flat or shaded headers. My take is flat.
Comment 6 Heiko Tietze 2019-09-26 06:26:27 UTC
Created attachment 154508 [details]
Before/After

Flat vs. Shaded
Comment 7 andreas_k 2019-09-26 06:27:16 UTC
Flat
Comment 8 Mike Kaganski 2019-09-26 06:37:51 UTC
(In reply to Heiko Tietze from comment #5)
> Submitted a patch and push it to master.

Could you please provide a link?
Comment 9 Heiko Tietze 2019-09-26 06:51:22 UTC
(In reply to Mike Kaganski from comment #8)
> Could you please provide a link?

https://gerrit.libreoffice.org/#/c/79584/
Comment 10 Commit Notification 2019-10-02 05:37:10 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/67fd62b3edc86c2891f279b25cf9919c4bbbbca1

Resolves tdf#127508 - Flat table header in Calc

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Cor Nouws 2019-10-02 09:42:34 UTC
(In reply to Heiko Tietze from comment #6)
> Created attachment 154508 [details]
> Before/After
> 
> Flat vs. Shaded
Where can I find the option? :)
Comment 12 Heiko Tietze 2019-10-02 09:51:33 UTC
Decided against an option. All flat now. Until we revert the patch ;-)
Comment 13 Xisco Faulí 2019-11-11 09:20:47 UTC
(In reply to Heiko Tietze from comment #12)
> Decided against an option. All flat now. Until we revert the patch ;-)

I like it flat more than shaded...
Comment 14 Rizal Muttaqin 2020-01-28 07:20:31 UTC
I prefer flat to harmonize with sheet tab.
Comment 15 Salem Yaslem 2020-01-29 14:39:27 UTC
Created attachment 157499 [details]
corner is not flat (see attachments) should flat too

corner is not flat (see attachments)
should flat too
Comment 16 Salem Yaslem 2020-01-29 14:39:48 UTC Comment hidden (obsolete)
Comment 17 Heiko Tietze 2020-01-30 15:53:55 UTC
(In reply to Salem Yaslem from comment #15)
> corner is not flat (see attachments)

Think this bevel belongs to your desktop theme. Caolan: Am I wrong?
Comment 18 Salem Yaslem 2020-01-30 16:44:10 UTC
no, not by my theme

look to  your attachment "Before/After"
you will see it
Comment 19 V Stuart Foote 2020-01-30 17:10:29 UTC
(In reply to Salem Yaslem from comment #18)
> no, not by my theme
> 
> look to  your attachment "Before/After"
> you will see it

@Heiko, not the bevel/edge shading widget decoration--that is os/DE. Rather it is that the cell shading remains applied to the lower right quadrant of the corner cell. Color was cleared from the column labels, and row labels presenting them as 'flat'.  Assume color of shading is picked up from DE theme--but it is noticeably visible in your attachment 154508 [details]

And, I do see the discolored quadrant on recent master / 7.0.0 Windows build, gray background, with lower right a shade darker gray.
Version: 6.5.0.0.alpha0+ (x64)
Build ID: da70fd1edc211bf63f8388e11c1bd8dd398fdaf8
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 20 Heiko Tietze 2020-02-05 11:48:16 UTC
Created attachment 157669 [details]
Flat column header on macOS

(In reply to V Stuart Foote from comment #19)
> ...cell shading remains applied to the lower right quadrant of
> the corner cell.
> ...
> And, I do see the discolored quadrant on recent master / 7.0.0 Windows
> build, gray background, with lower right a shade darker gray.

It looks flat as the earth to me on macOS and Linux, and I don't get the point with "lower right quadrant".
Comment 21 V Stuart Foote 2020-02-05 14:00:21 UTC
Created attachment 157673 [details]
The corner cell, 'select all' button with residual shading

(In reply to Heiko Tietze from comment #20)
> Created attachment 157669 [details]
> Flat column header on macOS
> 
> (In reply to V Stuart Foote from comment #19)
> > ...cell shading remains applied to the lower right quadrant of
> > the corner cell.
> > ...
> > And, I do see the discolored quadrant on recent master / 7.0.0 Windows
> > build, gray background, with lower right a shade darker gray.
> 
> It looks flat as the earth to me on macOS and Linux, and I don't get the
> point with "lower right quadrant".

No not the column headers, those have been flattened. Rather the corner cell with 'select all' button action has a residual shading from the 3D view. 

Clip at 400% magnification attached.
Comment 22 Heiko Tietze 2020-02-05 14:23:25 UTC
Created attachment 157674 [details]
Flat on macOS

(In reply to V Stuart Foote from comment #21)
> Rather the corner cell ... has a residual shading from the 3D view. 

The cell border lines are drawn with the system style, I guess. There is nothing like a bevel on macOS.
Comment 23 Mike Kaganski 2020-02-05 16:36:44 UTC
Created attachment 157675 [details]
Marked problem
Comment 24 Heiko Tietze 2020-02-06 09:41:53 UTC
(In reply to Mike Kaganski from comment #23)
> Created attachment 157675 [details]
> Marked problem

Got it.
Comment 25 Heiko Tietze 2020-02-24 16:17:22 UTC
https://gerrit.libreoffice.org/c/core/+/89365
Comment 26 Commit Notification 2020-02-26 08:35:28 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d8c7864407249fd1ed69713dfdf4fa533a9efb0b

Resolves tdf#127508 - Flat table header in Calc

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Heiko Tietze 2020-02-26 09:17:53 UTC
And fixed again.
Comment 28 Commit Notification 2020-02-27 12:51:09 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/bc4f1869e6b8c9e500483e4210cfc004bbd8d8a2

Resolves tdf#127508 - Flat table header in Calc

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Mike Kaganski 2020-03-18 15:01:57 UTC Comment hidden (off-topic)
Comment 30 Heiko Tietze 2020-03-18 15:27:11 UTC Comment hidden (off-topic)
Comment 31 Mike Kaganski 2020-03-19 11:39:11 UTC Comment hidden (off-topic)